buffer.h File Reference

Go to the source code of this file.

## Classes

struct | grk::AllocatorVanilla< T >
struct | grk::AllocatorAligned< T >
struct | grk::grk_buf< T, A >
struct | grk::grk_buf2d_simple< T >
struct | grk::grk_buf2d< T, A >
struct | grk::grk_buf2d< T, A >::memcpy_from

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Typedefs

using | grk::grk_buf8 = grk_buf< uint8_t, AllocatorVanilla >
using | grk::grk_buf8_aligned = grk_buf< uint8_t, AllocatorAligned >